Index: /trunk/jabberit_messenger/java_source/contrib/cp_expresso.sh
===================================================================
--- /trunk/jabberit_messenger/java_source/contrib/cp_expresso.sh	(revision 1021)
+++ /trunk/jabberit_messenger/java_source/contrib/cp_expresso.sh	(revision 1021)
@@ -0,0 +1,37 @@
+#!/bin/bash
+### Expresso Livre - CELEPAR ###
+# @Author : Alexandre Correia (alexandrecorreia@celepar.pr.gov.br)
+# @Date   : 17/06/2009
+# @Description : cp os applets para o workspace expresso.
+#########################################################################
+#
+# IMPORTANTE : CONFIGURE ESTE SCRIPT, CONFORME SUA NECESSIDADE
+#
+#########################################################################
+
+#########################################################################
+# Configure sua workspace #
+#########################################################################
+
+EXPRESSO_APPLET="<informe_aqui_sua_workspace>/jabberit_messenger"
+EXPRESSO_PLUGIN="<informe_aqui_sua_workspace>/expresso/jabberit_messenger/plugins"
+APPLET="<informe_aqui_sua_workspace>/java_source/dist/applet/applet.jar"
+PLUGINS="<informe_aqui_sua_workspace>/java_source/dist/applet/plugins"
+
+if [ -e $EXPRESSO_APPLET ];
+then
+	rm -rf $EXPRESSO_APPLET"/"applet.jar
+	rm -rf $EXPRESSO_PLUGIN"/"*.jar
+fi
+
+if [ -e $APPLET ];
+then
+	echo ""
+	echo "Copiando applet.jar ...."
+	cp $APPLET $EXPRESSO_APPLET
+	chmod 777 $EXPRESSO_APPLET"/"applet.jar
+
+	echo "Copiando plugins ...."
+	cp $PLUGINS"/"* $EXPRESSO_PLUGIN
+	chmod -R 777 $EXPRESSO_PLUGIN"/"*.jar
+fi
Index: /trunk/jabberit_messenger/java_source/contrib/remove.sh
===================================================================
--- /trunk/jabberit_messenger/java_source/contrib/remove.sh	(revision 1021)
+++ /trunk/jabberit_messenger/java_source/contrib/remove.sh	(revision 1021)
@@ -0,0 +1,35 @@
+#!/bin/bash
+### Expresso Livre - CELEPAR ###
+# @Author : Alexandre Correia (alexandrecorreia@celepar.pr.gov.br)
+# @Date   : 17/06/2009
+# @Description : remove o diretorio dist e build dentro de seu workspace java
+#########################################################################
+#
+# IMPORTANTE : CONFIGURE ESTE SCRIPT, CONFORME SUA NECESSIDADE
+#
+#########################################################################
+
+#########################################################################
+# Configure sua workspace #
+#########################################################################
+JAVA_DIST="<informe_aqui_sua_workspace>/java_source/dist"
+JAVA_BUILD="<informe_aqui_sua_workspace>/java_source/build"
+
+## Remove o diretorio dist
+if [ -e "$JAVA_DIST" ];
+then
+	rm -rf $JAVA_DIST
+else
+	echo "O diretÃ³rio $JAVA_DIST nÃ£o existe !"
+
+fi
+
+## Remove o diretorio build
+if [ -e "$JAVA_BUILD" ];
+then
+	rm -rf $JAVA_BUILD
+else
+	echo "O diretÃ³rio $JAVA_BUILD nÃ£o existe !"
+fi
+
+clear
Index: /trunk/jabberit_messenger/java_source/contrib/assinando_applet.sh
===================================================================
--- /trunk/jabberit_messenger/java_source/contrib/assinando_applet.sh	(revision 1021)
+++ /trunk/jabberit_messenger/java_source/contrib/assinando_applet.sh	(revision 1021)
@@ -0,0 +1,98 @@
+#!/bin/bash
+### Expresso Livre - CELEPAR ###
+# @Author : Alexandre Correia (alexandrecorreia@celepar.pr.gov.br)
+# @Date   : 17/06/2009
+# @Description : Script para assinar applets(Java) e seus plugins.
+#########################################################################
+#
+# IMPORTANTE : CONFIGURE ESTE SCRIPT, CONFORME SUA NECESSIDADE
+#
+#########################################################################
+
+#########################################################################
+# Configure sua workspace #
+#########################################################################
+WORKSPACE_DIST="<informe_aqui_sua_workspace>/java_source/dist"
+WORKSPACE_BUILD="<informe_aqui_sua_workspace>/java_source/build"
+
+#########################################################################
+# Assinando Applet - Dados da Assinatura #
+#########################################################################
+CN="Expresso Livre - Celepar"
+OU="Diser"
+_O="CELEPAR"
+_C="BR"
+DAYS="1460"
+PASSWORD_STORE="celepar"
+ALIAS_NAME="celepar"
+KEY_STORE="jarsigned/celeparIM"
+
+#########################################################################
+# Verifica a escolha do usuario #
+#########################################################################
+choice_user()
+{
+	case $1 in
+		s|S) 
+			jarsing_java_applets	
+		;;
+
+		n|N)
+			echo "Nao sera assinado os .jar"
+		;;
+
+		*)
+			echo "Opcao invalida !"
+		;;
+	esac
+}
+
+#########################################################################
+# Assina os .jar gerados #
+#########################################################################
+jarsing_java_applets()
+{
+	APPLET=$WORKSPACE_DIST"/applet/applet.jar"
+	PLUGINS=$WORKSPACE_DIST"/applet/plugins"
+
+	if [ -e $APPLET ]
+	then
+		if [ -e $KEY_STORE ]
+		then
+			echo " Assinando applet...."
+			jarsigner -keystore $KEY_STORE -storepass $PASSWORD_STORE $APPLET $ALIAS_NAME
+		
+			for i in $(ls $PLUGINS)
+			do
+				PLUGIN_FILE=$PLUGINS"/"$i
+				echo "Assinando Plugin : " $i
+				jarsigner -keystore $KEY_STORE -storepass $PASSWORD_STORE $PLUGIN_FILE $ALIAS_NAME
+			done
+		else
+			echo "ERRO no KEY_STORE"
+		fi
+	fi
+}
+
+#########################################################################
+# Verifica a existencia de um certificado
+#########################################################################
+if [ -a $KEY_STORE ]
+then
+	echo "JÃ¡ existe uma chave criada."
+	echo "Deseja assinar agora seus .jar? (S/N)"
+	read YES_NO
+	choice_user $YES_NO
+else
+	mkdir jarsigned
+	keytool -genkey -dname "cn=$CN,ou=$OU,o=$_O,c=$_C" -alias $ALIAS_NAME -keystore $KEY_STORE -storepass $PASSWORD_STORE -validity $DAYS
+	if [ -a $KEY_STORE ] 
+	then
+		echo "Chave Criada com sucesso!"
+		echo "Deseja assinar agora seus .jar? (S/N)"
+		read YES_NO
+		choice_user $YES_NO
+	else
+		echo "Problemas na criacao da chave!"
+	fi
+fi