Index: trunk/phpgwapi/templates/azul/css/azul.css
===================================================================
--- trunk/phpgwapi/templates/azul/css/azul.css	(revision 1024)
+++ trunk/phpgwapi/templates/azul/css/azul.css	(revision 1024)
@@ -0,0 +1,423 @@
+ul
+{
+	list-style-image: url("../images/orange-ball.png");
+}
+
+.prefTable
+{	  
+    background-color:#f4f8fb !important;    
+    margin: 0px 0px 10px 0px ;
+    border-left: 1px solid #D3DCE3;
+    border-right: 1px solid #D3DCE3;    
+    border-bottom: 1px solid #D3DCE3;
+    
+}
+
+.grid_email_class
+{
+	border-bottom:1px solid #cfcfcf;
+}
+
+body 
+{
+	margin: 0px !important;
+	background-color:#E9E9E9 !important;
+	font-size: 11px !important;
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	padding:0px !important;
+}
+
+img
+{
+	border-width:0px !important;
+	border-style:none !important;	
+}
+
+a:link,a:visited
+{
+	cursor:pointer !important;
+	color: #000066 !important;
+	text-decoration: none !important;
+}
+
+a:hover,a:active
+{
+	cursor:pointer !important;
+	color: #ff9933 !important;
+	text-decoration: underline !important;
+}
+
+input,button
+{
+	font-size: 11px !important; 
+	color: #006699 !important; 
+	font-family: Arial, Helvetica, sans-serif !important;
+	border: 1px #bbbbbb solid !important;
+}
+
+input[type=submit],input[type=button],button
+{
+	margin:1px !important;
+	padding:1px !important;
+	cursor: pointer !important; 
+	cursor: hand !important;
+}
+
+input[type=image]
+{
+	cursor: pointer !important; 
+	cursor: hand !important;
+	border: 0px #bbbbbb none !important;
+}
+select 
+{
+	font-size: 11px !important; 
+	color: #000066 !important; 
+	font-family: Arial, Helvetica, sans-serif !important;
+	border: 1px #bbbbbb solid !important;
+	z-index: -1 !important;
+}
+
+td
+{
+	font-size: 11px !important;	
+}
+
+
+
+.tblHeadApp {
+
+	border-right: #9c9c9c 1px solid; 	
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+}
+
+.divSideboxHeader 
+{
+	text-align:center;
+	background-color:#000066;
+	padding-top:2px;
+	height: 15px;
+	color: #FFFFFF;
+
+}
+
+a.divSideboxEntry, .divSideboxEntry
+{
+	text-align:left;
+	height:16px;
+	background-color:#eeeeee;
+}
+
+a.appTitles,.appTitles
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+
+}
+
+a.textSidebox
+{
+	font-size: 10px; 
+	border-top: #aaaaaa 0px none;
+}
+
+.textSidebox
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+	border-top: #aaaaaa 1px solid;
+
+}
+
+.sideboxSpace
+{
+	height:9px;
+}
+
+.greyLine
+{
+	margin:1px;
+	border-top-color:#7e7e7e;
+	border-top-width:1px;
+	border-top-style:solid;
+	height:1px;
+}
+
+.prefSection
+{
+	font-weight:bold;
+	font-size:16px;
+	line-height:40px;
+}
+
+#extraIcons
+{
+	background-color:#eeeeee;
+	border-width:1px;
+	border-color:#7e7e7e;
+	border-style:solid;
+}
+
+.extraIconsRow
+{
+	border-top-color:#dddddd;
+	border-top-width:1px;
+	border-top-style:solid;
+	padding:2px;
+}
+
+#divMain
+{
+	background-color:white;
+	margin-top: 0px;
+	padding:9px;
+	border-color:#7e7e7e;
+	border-width:1px;
+	border-style:solid;
+}
+
+#divLogo
+{
+	position:absolute;
+	left:20px;
+	top:5px;
+	z-index:51;
+}
+
+#divAppIconBar
+{
+	background-color:white;
+	border-top-color:#9c9c9c;
+	border-top-width:1px;
+	border-top-style:solid;
+	background-image: url(../images/background-icon-bar.png); 
+	background-repeat: repeat-x
+}
+
+#divAppTextBar
+{
+	background-color:white;
+}
+
+#user_info
+{
+	color: white;
+}
+#links_bar
+{
+	        color: white;
+}
+
+#divStatusBar
+{
+	height:24px;
+	padding-left:10px;
+	padding-top:0px;
+}
+
+#tdSidebox
+{
+	width:170px;
+	background-color:white;
+	overflow:visible;
+}
+
+
+#tdAppbox
+{
+	background-color:white;
+	width: 100%;
+}
+#divSideboxContainer
+{
+	position:relative;
+	width:150px;
+	top:0px;
+	left:0px;
+	background-color:white;
+	border-width:1px;
+	border-style:solid;
+	z-index:40;
+}
+
+#divAppboxHeader
+{
+	margin-top:2px;
+	margin-left:2px;
+	margin-right:2px;
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 14px;
+	font-weight: bold;
+	color: #000066;
+	text-align: center;
+	padding: 0px;
+	background-color: #ebf0f7;
+	height:24px;
+	line-height:24px;
+	border-top-color:#9c9c9c;
+	border-top-width:1px;
+	border-top-style:solid;
+	border-left-color:#9c9c9c;
+	border-left-width:1px;
+	border-left-style:solid;
+	border-right-color:#9c9c9c;
+	border-right-width:1px;
+	border-right-style:solid;
+}
+
+#divAppbox
+{
+	background: #fff url(../images/bgBlockContent.jpg);
+	background-repeat:repeat-x;
+	padding-right:1px;
+	padding-top:1px;
+	padding-bottom:1px;
+	padding-left:15px;
+	border-bottom-color:#9c9c9c;
+	border-bottom-width:1px;
+	border-bottom-style:solid;
+	border-left-color:#9c9c9c;
+	border-left-width:1px;
+	border-left-style:solid;
+	border-right-color:#9c9c9c;
+	border-right-width:1px;
+	border-right-style:solid;
+	margin-top:0px;
+	margin-bottom:0px;
+	margin-left:2px;
+	margin-right:2px;
+
+}
+
+#fmStatusBar
+{
+	margin-left:4px;
+	margin-bottom:3px;
+	font-size: 10px; 
+}
+
+
+.fmButton
+{
+	background-image:url(../images/buttonbackground.png);
+	width:28px;
+	height:28px;
+	background-repeat: no-repeat;
+}
+
+#fmLocation
+{
+	position:relative;
+	margin-bottom:3px;
+	height:27px;
+
+}
+
+#fmMenu
+{
+	position:relative;
+}
+#fmFileWindow
+{
+	background-color:#ffffff;
+	margin-left:4px;
+	padding:5px;
+	position:relative;
+	border-right: #cccccc 1px solid; 
+	border-top: #9c9c9c 2px solid; 
+	border-left: #9c9c9c 2px solid; 
+	border-bottom: #cccccc 1px solid
+}
+
+#user_info
+{
+padding-left:17px;
+
+}
+
+#admin_info
+{
+	position:relative;
+	text-align:center;
+	margin-right:10px;
+}
+
+#divGenTime
+{
+	bottom:14px;
+	font-size: 9px;
+	color: #ff0000;
+	text-align:center;
+	width:99%;
+}
+
+#divPoweredBy 
+{
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 10px;
+	color: #999999;
+	text-decoration: none;
+	padding: 7px;
+	text-align: center;
+	background-color:white;
+}
+
+.navbar_but
+{
+	background-image: url(../../../../phpgwapi/templates/azul/images/back_app.png) !important;
+	width: 40px;
+	height: 40px;
+	vertical-align: center;
+	text-align: center;
+	padding-right: 6px;
+	cursor:pointer;
+	cursor:hand;
+	background-repeat:no-repeat;
+}
+
+.navbar_butOver
+{
+	background-image: url(../../../../phpgwapi/templates/azul/images/back_app_over.png) !important;
+	width: 40px;
+	height: 40px;
+	vertical-align: center !important;
+	text-align: center !important;
+	padding-right:6px;
+	cursor:pointer;
+	cursor:hand;
+	background-repeat:no-repeat;
+}
+
+.navbar_butOut
+{
+	background-image: url(../../../../phpgwapi/templates/azul/images/back_app.png) !important;
+	width: 40px;
+	height: 40px;
+	vertical-align: center !important;
+	text-align: center !important;
+	padding-right:6px;
+	cursor:pointer;
+	cursor:hand;
+	background-repeat:no-repeat;
+
+}
+.toolbar
+{
+        background-image:url(../../../../phpgwapi/templates/azul/images/fundo_topo.png);
+        position:absolute;
+}
+
+.logo_expresso
+{
+	position: absolute;
+	background:url(../../../../phpgwapi/templates/azul/images/logo_expresso.png) no-repeat;
+	width: 191px;
+	left: 0px;
+	top: 3px;
+}
Index: trunk/phpgwapi/templates/azul/css/rochas.css
===================================================================
--- trunk/phpgwapi/templates/azul/css/rochas.css	(revision 941)
+++ trunk/phpgwapi/templates/azul/css/rochas.css	(revision 1024)
@@ -471,5 +471,5 @@
 .content-menu {
         padding: 0px 0px 0px 0px !important;
-        background: #ddf4fe url(../../../../phpgwapi/templates/default/images/folder_bg_canyon.png) no-repeat scroll center bottom !important;
+        background: #fff !important;
 }
 
Index: trunk/phpgwapi/templates/azul/css/cataratas.css
===================================================================
--- trunk/phpgwapi/templates/azul/css/cataratas.css	(revision 940)
+++ trunk/phpgwapi/templates/azul/css/cataratas.css	(revision 1024)
@@ -466,5 +466,5 @@
 .content-menu {
 	padding: 0px 0px 0px 0px !important;
-	background: #a0b2cc url(../../../../phpgwapi/templates/default/images/folder_bg_fozi.png) no-repeat scroll center bottom !important;
+	background: #fff !important;
 }
 .content-folders {
Index: trunk/phpgwapi/templates/azul/css/metropole.css
===================================================================
--- trunk/phpgwapi/templates/azul/css/metropole.css	(revision 944)
+++ trunk/phpgwapi/templates/azul/css/metropole.css	(revision 1024)
@@ -475,5 +475,5 @@
 .content-menu {
 	padding: 0px 0px 0px 0px !important;
-	background: #000 url(../../../../phpgwapi/templates/default/images/folder_bg_metropole.png) no-repeat scroll center bottom !important;
+	background: #000 !important;
 }
 .content-folders {