Index: trunk/preferences/templates/azul/preferences.tpl
===================================================================
--- trunk/preferences/templates/azul/preferences.tpl	(revision 1026)
+++ trunk/preferences/templates/azul/preferences.tpl	(revision 1026)
@@ -0,0 +1,39 @@
+<center><b>{messages}</b></center>
+<!-- BEGIN form -->
+<form method="POST" action="{action_url}">
+<table width="75%" cellpadding=0 cellspacing=0  class="prefTable"> 
+<tr><td colspan="3">{tabs}</td></tr>  
+  <!-- BEGIN list -->
+  <tbody>
+ <tr bgcolor="{row_off}"><td colspan="3">&nbsp;</td></tr>
+ {rows}
+ <!-- END list -->
+  <tr height="30" valign="bottom">
+  <td align="left">
+   <input type="submit" name="submit" value="{lang_submit}"> &nbsp;
+   <input type="submit" name="cancel" value="{lang_cancel}">
+  </td>
+  <td align="right">&nbsp; {help_button}</td>
+ </tr>
+ </tbody>
+</table>
+
+</form>
+<!-- END form -->
+
+<!-- BEGIN row -->
+ <tr bgcolor="{tr_color}">
+  <td>{row_name}</td>
+  <td>{row_value}</td>
+ </tr>
+<!-- END row -->
+
+<!-- BEGIN help_row -->
+  <tr bgcolor="{tr_color}">
+  <td><b>{row_name}<b></td>
+  <td>{row_value}</td>
+ </tr>
+ <tr bgcolor="{tr_color}">
+  <td colspan="2">{help_value}</td>
+ </tr>
+<!-- END help_row -->
Index: trunk/preferences/templates/azul/preference_acl_row.tpl
===================================================================
--- trunk/preferences/templates/azul/preference_acl_row.tpl	(revision 1026)
+++ trunk/preferences/templates/azul/preference_acl_row.tpl	(revision 1026)
@@ -0,0 +1,1 @@
+link ../celepar/preference_acl_row.tpl
Index: trunk/preferences/templates/azul/listUsers.php
===================================================================
--- trunk/preferences/templates/azul/listUsers.php	(revision 1026)
+++ trunk/preferences/templates/azul/listUsers.php	(revision 1026)
@@ -0,0 +1,1 @@
+link ../celepar/listUsers.php
Index: trunk/preferences/templates/azul/index.tpl
===================================================================
--- trunk/preferences/templates/azul/index.tpl	(revision 1026)
+++ trunk/preferences/templates/azul/index.tpl	(revision 1026)
@@ -0,0 +1,36 @@
+<!-- BEGIN list -->
+<table border="0" width="75%" cellspacing="0" cellpadding="0">
+ <tr>
+  <td align="left">{tabs}</td>
+ </tr>
+</table>
+
+<table width="75%" border="0" cellspacing="0" cellpadding="0" class="prefTable">
+ {rows}
+</table>
+<!-- END list -->
+
+<!-- BEGIN app_row -->
+ <tr bgcolor="{icon_backcolor}">
+  <td width="5%" valign="middle"><img src="{app_icon}" alt="[ {app_name} ]"> <a name="{a_name}"></a></td>
+  <td width="95%" valign="middle"><strong>&nbsp;&nbsp;{app_name}</strong></td>
+ </tr>
+<!-- END app_row -->
+
+<!-- BEGIN app_row_noicon -->
+ <tr bgcolor="{icon_backcolor}">
+  <td colspan="2" width="95%" valign="middle"><strong>&nbsp;&nbsp;{app_name}</strong> <a name="{a_name}"></a></td>
+ </tr>
+<!-- END app_row_noicon -->
+
+<!-- BEGIN link_row -->
+ <tr>
+  <td colspan="2">&nbsp;&#8226;&nbsp;<a href="{pref_link}">{pref_text}</a></td>
+ </tr>
+<!-- END link_row -->
+
+<!-- BEGIN spacer_row -->
+ <tr>
+  <td colspan="2">&nbsp;</td>
+ </tr>
+<!-- END spacer_row -->
Index: trunk/preferences/templates/azul/preference_acl_hidden.tpl
===================================================================
--- trunk/preferences/templates/azul/preference_acl_hidden.tpl	(revision 1026)
+++ trunk/preferences/templates/azul/preference_acl_hidden.tpl	(revision 1026)
@@ -0,0 +1,1 @@
+link ../celepar/preference_acl_hidden.tpl
Index: trunk/preferences/templates/azul/listUsers.tpl
===================================================================
--- trunk/preferences/templates/azul/listUsers.tpl	(revision 1026)
+++ trunk/preferences/templates/azul/listUsers.tpl	(revision 1026)
@@ -0,0 +1,1 @@
+link ../celepar/listUsers.tpl
Index: trunk/preferences/templates/azul/preference_acl.tpl
===================================================================
--- trunk/preferences/templates/azul/preference_acl.tpl	(revision 1026)
+++ trunk/preferences/templates/azul/preference_acl.tpl	(revision 1026)
@@ -0,0 +1,1 @@
+link ../celepar/preference_acl.tpl