Index: trunk/calendar/templates/azul/month_day.tpl
===================================================================
--- trunk/calendar/templates/azul/month_day.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/month_day.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/month_day.tpl
Index: trunk/calendar/templates/azul/app_print.css
===================================================================
--- trunk/calendar/templates/azul/app_print.css	(revision 1033)
+++ trunk/calendar/templates/azul/app_print.css	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/app_print.css
Index: trunk/calendar/templates/azul/edit.tpl
===================================================================
--- trunk/calendar/templates/azul/edit.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/edit.tpl	(revision 1033)
@@ -0,0 +1,61 @@
+<!-- BEGIN edit_entry -->
+<style type="text/css">
+div#tipDiv {
+  position:absolute; visibility:hidden; left:0; top:0; z-index:10000;
+  background-color:#EFEFEF; border:1px solid #337;
+  width:220px; padding:3px;
+  color:#000; font-size:11px; line-height:1.2;
+  cursor: default;
+}
+</style>
+<script language="JavaScript">
+	self.name="first_Window";
+	function accounts_popup()
+	{
+		Window1=window.open('{accounts_link}',"Search","width=800,height=600,toolbar=no,scrollbars=yes,resizable=yes");
+	}
+</script>
+<center>
+<font color="#000000" face="{font}">
+
+<form action="{action_url}" method="post" name="app_form">
+{common_hidden}
+<table id="editFormTable" border="0" width="90%"   class="prefTable">
+ <tr>
+  <td colspan="2">
+   <center><font size="+1"><b id="formStatus">{errormsg}</b></font></center>
+  </td>
+ </tr>
+{row}
+ <tr>
+  <td>
+  <table><tr valign="top">
+  <td>
+  <div style="padding-top:15px; padding-right: 2px">
+  	<script language="JavaScript">
+		var alert_field = '{alert_msg}';
+	</script>
+  	<input id="submit_button" style="font-size:10px" type="submit" value="{submit_button}" onClick="return submitValues(alert_field);"></div></form>
+  </td>
+  <td>{cancel_button}</td>
+  </tr></table>
+  </td>
+  <td align="right">{delete_button}</td>
+ </tr>
+</table>
+</font>
+</center>
+<!-- END edit_entry -->
+<!-- BEGIN list -->
+ <tr bgcolor="{tr_color}">
+  <td valign="top" width="25%">&nbsp;<b>{field}:</b></td>
+  <td valign="top" width="75%">{data}</td>
+ </tr>
+<!-- END list -->
+<!-- BEGIN hr -->
+ <tr bgcolor="{tr_color}">
+  <td colspan="2">
+   {hr_text}
+  </td>
+ </tr>
+<!-- END hr -->
Index: trunk/calendar/templates/azul/listUsers.php
===================================================================
--- trunk/calendar/templates/azul/listUsers.php	(revision 1033)
+++ trunk/calendar/templates/azul/listUsers.php	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/listUsers.php
Index: trunk/calendar/templates/azul/header.inc.php
===================================================================
--- trunk/calendar/templates/azul/header.inc.php	(revision 1033)
+++ trunk/calendar/templates/azul/header.inc.php	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/header.inc.php
Index: trunk/calendar/templates/azul/week.tpl
===================================================================
--- trunk/calendar/templates/azul/week.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/week.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/week.tpl
Index: trunk/calendar/templates/azul/month_header.tpl
===================================================================
--- trunk/calendar/templates/azul/month_header.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/month_header.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/month_header.tpl
Index: trunk/calendar/templates/azul/confirm.tpl
===================================================================
--- trunk/calendar/templates/azul/confirm.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/confirm.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/confirm.tpl
Index: trunk/calendar/templates/azul/listUsers.tpl
===================================================================
--- trunk/calendar/templates/azul/listUsers.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/listUsers.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/listUsers.tpl
Index: trunk/calendar/templates/azul/navbar.png
===================================================================
--- trunk/calendar/templates/azul/navbar.png	(revision 1033)
+++ trunk/calendar/templates/azul/navbar.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/navbar.png
Index: trunk/calendar/templates/azul/month_day_print.tpl
===================================================================
--- trunk/calendar/templates/azul/month_day_print.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/month_day_print.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/month_day_print.tpl
Index: trunk/calendar/templates/azul/event_link.tpl
===================================================================
--- trunk/calendar/templates/azul/event_link.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/event_link.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/event_link.tpl
Index: trunk/calendar/templates/azul/footer.tpl
===================================================================
--- trunk/calendar/templates/azul/footer.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/footer.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/footer.tpl
Index: trunk/calendar/templates/azul/publicView.php
===================================================================
--- trunk/calendar/templates/azul/publicView.php	(revision 1033)
+++ trunk/calendar/templates/azul/publicView.php	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/publicView.php
Index: trunk/calendar/templates/azul/month_print.tpl
===================================================================
--- trunk/calendar/templates/azul/month_print.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/month_print.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/month_print.tpl
Index: trunk/calendar/templates/azul/head.tpl
===================================================================
--- trunk/calendar/templates/azul/head.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/head.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/head.tpl
Index: trunk/calendar/templates/azul/body_email.tpl
===================================================================
--- trunk/calendar/templates/azul/body_email.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/body_email.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/body_email.tpl
Index: trunk/calendar/templates/azul/config.tpl
===================================================================
--- trunk/calendar/templates/azul/config.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/config.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/config.tpl
Index: trunk/calendar/templates/azul/images/planner.png
===================================================================
--- trunk/calendar/templates/azul/images/planner.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/planner.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/planner.png
Index: trunk/calendar/templates/azul/images/year.png
===================================================================
--- trunk/calendar/templates/azul/images/year.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/year.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/year.png
Index: trunk/calendar/templates/azul/images/today.gif
===================================================================
--- trunk/calendar/templates/azul/images/today.gif	(revision 1033)
+++ trunk/calendar/templates/azul/images/today.gif	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/today.gif
Index: trunk/calendar/templates/azul/images/delete.png
===================================================================
--- trunk/calendar/templates/azul/images/delete.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/delete.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/delete.png
Index: trunk/calendar/templates/azul/images/month.gif
===================================================================
--- trunk/calendar/templates/azul/images/month.gif	(revision 1033)
+++ trunk/calendar/templates/azul/images/month.gif	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/month.gif
Index: trunk/calendar/templates/azul/images/view.png
===================================================================
--- trunk/calendar/templates/azul/images/view.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/view.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/view.png
Index: trunk/calendar/templates/azul/images/week.gif
===================================================================
--- trunk/calendar/templates/azul/images/week.gif	(revision 1033)
+++ trunk/calendar/templates/azul/images/week.gif	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/week.gif
Index: trunk/calendar/templates/azul/images/planner.gif
===================================================================
--- trunk/calendar/templates/azul/images/planner.gif	(revision 1033)
+++ trunk/calendar/templates/azul/images/planner.gif	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/planner.gif
Index: trunk/calendar/templates/azul/images/today.png
===================================================================
--- trunk/calendar/templates/azul/images/today.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/today.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/today.png
Index: trunk/calendar/templates/azul/images/year.gif
===================================================================
--- trunk/calendar/templates/azul/images/year.gif	(revision 1033)
+++ trunk/calendar/templates/azul/images/year.gif	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/year.gif
Index: trunk/calendar/templates/azul/images/rem.png
===================================================================
--- trunk/calendar/templates/azul/images/rem.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/rem.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/rem.png
Index: trunk/calendar/templates/azul/images/month.png
===================================================================
--- trunk/calendar/templates/azul/images/month.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/month.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/month.png
Index: trunk/calendar/templates/azul/images/add.png
===================================================================
--- trunk/calendar/templates/azul/images/add.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/add.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/add.png
Index: trunk/calendar/templates/azul/images/sent.gif
===================================================================
--- trunk/calendar/templates/azul/images/sent.gif	(revision 1033)
+++ trunk/calendar/templates/azul/images/sent.gif	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/sent.gif
Index: trunk/calendar/templates/azul/images/week.png
===================================================================
--- trunk/calendar/templates/azul/images/week.png	(revision 1033)
+++ trunk/calendar/templates/azul/images/week.png	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/week.png
Index: trunk/calendar/templates/azul/images/view.gif
===================================================================
--- trunk/calendar/templates/azul/images/view.gif	(revision 1033)
+++ trunk/calendar/templates/azul/images/view.gif	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/images/view.gif
Index: trunk/calendar/templates/azul/grant_group_access.tpl
===================================================================
--- trunk/calendar/templates/azul/grant_group_access.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/grant_group_access.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/grant_group_access.tpl
Index: trunk/calendar/templates/azul/app.css
===================================================================
--- trunk/calendar/templates/azul/app.css	(revision 1033)
+++ trunk/calendar/templates/azul/app.css	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/app.css
Index: trunk/calendar/templates/azul/publicView.tpl
===================================================================
--- trunk/calendar/templates/azul/publicView.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/publicView.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/publicView.tpl
Index: trunk/calendar/templates/azul/view.tpl
===================================================================
--- trunk/calendar/templates/azul/view.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/view.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/view.tpl
Index: trunk/calendar/templates/azul/day.tpl
===================================================================
--- trunk/calendar/templates/azul/day.tpl	(revision 1033)
+++ trunk/calendar/templates/azul/day.tpl	(revision 1033)
@@ -0,0 +1,1 @@
+link ../celepar/day.tpl
Index: trunk/calendar/templates/azul/js/edit_exmail.js
===================================================================
--- trunk/calendar/templates/azul/js/edit_exmail.js	(revision 1033)
+++ trunk/calendar/templates/azul/js/edit_exmail.js	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/js/edit_exmail.js
Index: trunk/calendar/templates/azul/js/edit.js
===================================================================
--- trunk/calendar/templates/azul/js/edit.js	(revision 1033)
+++ trunk/calendar/templates/azul/js/edit.js	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/js/edit.js
Index: trunk/calendar/templates/azul/js/search.js
===================================================================
--- trunk/calendar/templates/azul/js/search.js	(revision 1033)
+++ trunk/calendar/templates/azul/js/search.js	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/js/search.js
Index: trunk/calendar/templates/azul/js/over_fn_exmail.js
===================================================================
--- trunk/calendar/templates/azul/js/over_fn_exmail.js	(revision 1033)
+++ trunk/calendar/templates/azul/js/over_fn_exmail.js	(revision 1033)
@@ -0,0 +1,1 @@
+link ../../celepar/js/over_fn_exmail.js