Index: /trunk/phpgwapi/inc/class.sessions.inc.php
===================================================================
--- /trunk/phpgwapi/inc/class.sessions.inc.php	(revision 1036)
+++ /trunk/phpgwapi/inc/class.sessions.inc.php	(revision 1057)
@@ -468,5 +468,5 @@
 				$this->phpgw_set_cookiedomain();
 			}
-			setcookie($cookiename,$cookievalue,$cookietime,'/',$this->cookie_domain);
+			setcookie($cookiename,$cookievalue,$cookietime,'/',$this->cookie_domain,null,true);
 		}
 
Index: /trunk/phpgwapi/inc/adodb/session/adodb-session.php
===================================================================
--- /trunk/phpgwapi/inc/adodb/session/adodb-session.php	(revision 34)
+++ /trunk/phpgwapi/inc/adodb/session/adodb-session.php	(revision 1057)
@@ -69,5 +69,5 @@
 		session_id(md5(uniqid(rand(), true)));
 		$ck = session_get_cookie_params();
-		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure']);
+		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure'],true);
 		//@session_start();
 	}
@@ -79,5 +79,5 @@
 		session_id($old_id);
 		if (empty($ck)) $ck = session_get_cookie_params();
-		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure']);
+		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure'],true);
 		return false;
 	}
Index: /trunk/phpgwapi/inc/adodb/session/old/adodb-session.php
===================================================================
--- /trunk/phpgwapi/inc/adodb/session/old/adodb-session.php	(revision 34)
+++ /trunk/phpgwapi/inc/adodb/session/old/adodb-session.php	(revision 1057)
@@ -122,5 +122,5 @@
 		session_id(md5(uniqid(rand(), true)));
 		$ck = session_get_cookie_params();
-		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure']);
+		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure'],true);
 		//@session_start();
 	}
@@ -132,5 +132,5 @@
 		session_id($old_id);
 		if (empty($ck)) $ck = session_get_cookie_params();
-		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure']);
+		setcookie(session_name(), session_id(), false, $ck['path'], $ck['domain'], $ck['secure'],true);
 		return false;
 	}
Index: /trunk/phpgwapi/templates/azul/css/comics.css
===================================================================
--- /trunk/phpgwapi/templates/azul/css/comics.css	(revision 1057)
+++ /trunk/phpgwapi/templates/azul/css/comics.css	(revision 1057)
@@ -0,0 +1,550 @@
+ul
+{
+	list-style-image: url("../images/orange-ball.png");
+}
+
+.grid_email_class
+{
+	border-bottom:1px solid #cfcfcf;
+}
+
+body 
+{
+	margin: 0px !important;
+	background-color:#E9E9E9 !important;
+	font-size: 11px !important;
+	font-family: Verdana, Arial, Helvetica, sans-serif !important;
+	padding:0px !important;
+}
+
+img
+{
+	border-width:0px !important;
+	border-style:none !important;
+	/*filter:progid:DXImageTransform.Microsoft.AlphaImageLoader;
+*/
+}
+
+a:link,a:visited
+{
+	cursor:pointer !important;
+	color: #000066 !important;
+	text-decoration: none !important;
+}
+
+/*
+a:visited 
+{
+	color: #006699; 
+	text-decoration: none;
+}
+*/
+a:hover,a:active
+{
+	cursor:pointer !important;
+	color: #ff9933 !important;
+	text-decoration: underline !important;
+}
+/*
+a:active 
+{
+	color: #006699; 
+	text-decoration: underline;
+}
+*/
+input,button
+{
+	font-size: 11px !important; 
+	color: #006699 !important; 
+	font-family: Arial, Helvetica, sans-serif !important;
+	border: 1px #bbbbbb solid !important;
+}
+
+input[type=submit],input[type=button],button
+{
+	margin:1px !important;
+	padding:1px !important;
+	cursor: pointer !important; 
+	cursor: hand !important;
+}
+
+input[type=image]
+{
+	cursor: pointer !important; 
+	cursor: hand !important;
+	border: 0px #bbbbbb none !important;
+}
+select 
+{
+	font-size: 11px !important; 
+	color: #000066 !important; 
+	font-family: Arial, Helvetica, sans-serif !important;
+	border: 1px #bbbbbb solid !important;
+	z-index: -1 !important;
+}
+
+td
+{
+	font-size: 11px !important;
+	/*text-align:left;*/
+	/*	padding-top:1px;
+	padding-bottom:1px;*/
+}
+
+.divLoginbox 
+{
+	position:relative;
+	width: 300px; 
+	border-right: #9c9c9c 1px solid; 
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+}
+
+.divLoginboxHeader 
+{
+	text-align:center;
+	background-color:#dddddd;
+	padding-top:2px;
+	font-size:10px;
+	color:#666666;
+}
+.divSidebox 
+{
+	position:relative;
+	width: 147px; 
+	border-right: #9c9c9c 1px solid; 
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+}
+
+.tblHeadApp {
+
+	border-right: #9c9c9c 1px solid; 	
+	border-top: #9c9c9c 1px solid; 
+	border-left: #9c9c9c 1px solid; 
+	border-bottom: #9c9c9c 1px solid
+}
+
+.divSideboxHeader 
+{
+	text-align:center;
+	background-color:#000066;
+	padding-top:2px;
+	height: 15px;
+	color: #FFFFFF;
+
+}
+
+a.divSideboxEntry, .divSideboxEntry
+{
+	text-align:left;
+	height:16px;
+	background-color:#eeeeee;
+}
+
+a.appTitles,.appTitles
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+
+}
+
+a.textSidebox
+{
+	font-size: 10px; 
+	border-top: #aaaaaa 0px none;
+}
+
+.textSidebox
+{
+	font-size: 10px; 
+	height:18px;
+	padding-top:2px;
+	padding-bottom:2px;
+	border-top: #aaaaaa 1px solid;
+
+}
+
+.sideboxSpace
+{
+	height:9px;
+}
+
+.greyLine
+{
+	margin:1px;
+	border-top-color:#7e7e7e;
+	border-top-width:1px;
+	border-top-style:solid;
+	height:1px;
+}
+
+.prefSection
+{
+	font-weight:bold;
+	font-size:16px;
+	line-height:40px;
+}
+
+#extraIcons
+{
+	background-color:#eeeeee;
+	border-width:1px;
+	border-color:#7e7e7e;
+	border-style:solid;
+}
+
+.extraIconsRow
+{
+	border-top-color:#dddddd;
+	border-top-width:1px;
+	border-top-style:solid;
+	padding:2px;
+}
+
+#divMain
+{
+	background-color:white;
+	margin-top: 0px;
+	padding:9px;
+	border-color:#7e7e7e;
+	border-width:1px;
+	border-style:solid;
+}
+
+#divLogo
+{
+	position:absolute;
+	left:20px;
+	top:5px;
+	z-index:51;
+}
+
+#divAppIconBar
+{
+	background-color:white;
+	border-top-color:#9c9c9c;
+	border-top-width:1px;
+	border-top-style:solid;
+	background-image: url(../images/background-icon-bar.png); 
+	background-repeat: repeat-x
+}
+
+#calendarid, #expressoMail12id, #contactcenterid, #newsadminid, #logout_id, #homeid, #adminid, #expressoadmin12id, #jabberitmessengerid, #expressoCalendarid
+{
+	padding-top: 4px !important;
+	padding-left: 5px !important;
+	height: 24px !important;
+	width: 24px !important;
+}
+
+#divAppTextBar
+{
+	background-color:white;
+}
+
+#user_info
+{
+	color: black;
+}
+#links_bar
+{
+	color: black;
+}
+
+#divStatusBar
+{
+	height:24px;
+	padding-left:10px;
+	padding-top:0px;
+}
+
+/*#divSubContainer
+{
+}
+*/
+#tdSidebox
+{
+	width:170px;
+	background-color:white;
+	overflow:visible;
+}
+
+
+#tdAppbox
+{
+	background-color:white;
+	width: 100%;
+}
+#divSideboxContainer
+{
+	position:relative;
+	width:150px;
+	top:0px;
+	left:0px;
+	background-color:white;
+	border-width:1px;
+	border-style:solid;
+	z-index:40;
+}
+
+#divAppboxHeader
+{
+	margin-top:2px;
+	margin-left:2px;
+	margin-right:2px;
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 14px;
+	font-weight: bold;
+	color: #000066;
+	text-align: center;
+	padding: 0px;
+	background-color: white;
+	height:24px;
+	line-height:24px;
+	border-top-color:#9c9c9c;
+	border-top-width:1px;
+	border-top-style:solid;
+	border-left-color:#9c9c9c;
+	border-left-width:1px;
+	border-left-style:solid;
+	border-right-color:#9c9c9c;
+	border-right-width:1px;
+	border-right-style:solid;
+}
+
+#divAppbox
+{
+	background-image: url(../../../../phpgwapi/templates/default/images/comics_bg.jpg);
+	padding-right:1px;
+	padding-top:1px;
+	padding-bottom:1px;
+	padding-left:15px;
+	border-bottom-color:#9c9c9c;
+	border-bottom-width:1px;
+	border-bottom-style:solid;
+	border-left-color:#9c9c9c;
+	border-left-width:1px;
+	border-left-style:solid;
+	border-right-color:#9c9c9c;
+	border-right-width:1px;
+	border-right-style:solid;
+	margin-top:0px;
+	margin-bottom:0px;
+	margin-left:2px;
+	margin-right:2px;
+
+}
+
+#fmStatusBar
+{
+	margin-left:4px;
+	margin-bottom:3px;
+	font-size: 10px; 
+/*	font-family: Verdana, Arial, Helvetica, sans-serif;*/
+	
+
+}
+
+
+.fmButton
+{
+	background-image:url(../images/buttonbackground.png);
+	width:28px;
+	height:28px;
+	background-repeat: no-repeat;
+}
+
+#fmLocation
+{
+	position:relative;
+	/*background-image:url(../images/buttonbackgroundscaled.png);
+	background-repeat: repeat-x;*/
+	/*margin-left:4px;*/
+	margin-bottom:3px;
+	height:27px;
+
+}
+
+#fmMenu
+{
+	position:relative;
+}
+#fmFileWindow
+{
+	background-color:#ffffff;
+	margin-left:4px;
+	padding:5px;
+	position:relative;
+	border-right: #cccccc 1px solid; 
+	border-top: #9c9c9c 2px solid; 
+	border-left: #9c9c9c 2px solid; 
+	border-bottom: #cccccc 1px solid
+}
+
+#user_info
+{
+padding-left:17px;
+
+}
+
+#admin_info
+{
+	position:relative;
+	text-align:center;
+	margin-right:10px;
+}
+
+#divGenTime
+{
+	bottom:14px;
+	font-size: 9px;
+	color: #ff0000;
+	text-align:center;
+	width:99%;
+}
+
+#divPoweredBy 
+{
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 10px;
+	color: #999999;
+	text-decoration: none;
+	padding: 7px;
+	text-align: center;
+	background-color:white;
+}
+
+.navbar_but
+{
+	background-image: url(../../../../phpgwapi/templates/default/images/back_app_comics.png) !important; 
+	width: 40px;
+	height: 45px;
+	vertical-align: top;
+	text-align: center;
+	padding-right: 12px;
+	cursor:pointer;
+	cursor:hand;
+	background-repeat:no-repeat;
+}
+
+.navbar_butOver
+{
+	background-image: url(../../../../phpgwapi/templates/default/images/back_app_over_comics.png) !important;
+	width: 40px;
+	height: 45px;
+	vertical-align: top !important;
+	text-align: center !important;
+	padding-right:12px;
+	cursor:pointer;
+	cursor:hand;
+	background-repeat:no-repeat;
+}
+
+.navbar_butOut
+{
+	background-image: url(../../../../phpgwapi/templates/default/images/back_app_out_comics.png) !important;
+	width: 40px;
+	height: 45px;
+	vertical-align: top !important;
+	text-align: center !important;
+	padding-right:6px;
+	cursor:pointer;
+	cursor:hand;
+	background-repeat:no-repeat;
+}
+
+.toolbar
+{
+	background-color: white;
+	position:absolute;
+}
+
+.logo_expresso
+{
+	background:url(../../../../phpgwapi/templates/default/images/logo_expresso_comics.png) no-repeat;
+	width: 264px;
+	height: 35px;
+}
+
+.content-menu {
+	padding: 0px 0px 0px 0px !important;
+	background: #fff !important;
+}
+.content-folders {
+	padding: 0px 0px 0px 0px !important;
+	background: #fff url(../../../../phpgwapi/templates/default/images/folder_bg_comics.jpg) no-repeat scroll center bottom !important;
+}
+
+.message_header
+{
+	background-color: #606060 !important;
+	color: white !important;
+}
+
+.menu
+{
+	background-color: #DDD !important;
+	border: 2px solid black !important;
+	-moz-border-radius-topleft:20px !important;
+	-moz-border-radius-topright:20px !important;
+	border-bottom: 0px !important;
+}
+
+
+.menu-sel
+{
+	-moz-border-radius-topleft:5px !important;
+        -moz-border-radius-topright:5px !important;
+        background-color: white !important;
+        border: 2px solid black !important;
+        border-bottom: 0px !important;
+	color black !important;
+}
+
+.last_menu {
+	border-bottom:2px solid black !important;
+}
+
+.conteudo {
+	-moz-border-radius-bottomleft:16px !important;
+	-moz-border-radius-bottomright:16px !important;
+	-moz-border-radius-topleft:0 !important;
+	-moz-border-radius-topright:16px !important;
+	border-left:2px solid black !important;
+	border-bottom:2px solid black !important;
+	border-right:2px solid black !important;
+	border-top: 0px !important;
+	padding: 0px !important;
+}
+
+.message_options_active {
+	color: #D00 !important;
+	font-weight: bold !important;
+}
+
+.message_options_inactive {
+	color: #999 !important;
+}
+
+.message_options {
+	color: white !important;
+	font-weight: bold !important;
+}
+
+.message_options_over {
+	color: #D00 !important;
+	font-weight: bold !important
+}
+#table_message,
+.table_message,
+.tr_message_header
+{
+	background: #666 !important;
+	background-color: #666 !important;
+	color: white !important;
+}
Index: /trunk/phpgwapi/templates/azul/css/rochas.css
===================================================================
--- /trunk/phpgwapi/templates/azul/css/rochas.css	(revision 1049)
+++ /trunk/phpgwapi/templates/azul/css/rochas.css	(revision 1057)
@@ -480,5 +480,5 @@
 .content-folders {
         padding: 0px 0px 0px 0px !important;
-        background: #ddf4fe url(../../../../phpgwapi/templates/default/images/folder_bg_canyon.png) no-repeat scroll center bottom !important;
+        background: #ddf4fe url(../../../../phpgwapi/templates/default/images/folder_bg_canyon.jpg) no-repeat scroll center bottom !important;
 }
 .navbar_butOut
Index: /trunk/phpgwapi/templates/azul/css/cataratas.css
===================================================================
--- /trunk/phpgwapi/templates/azul/css/cataratas.css	(revision 1024)
+++ /trunk/phpgwapi/templates/azul/css/cataratas.css	(revision 1057)
@@ -453,5 +453,5 @@
 .toolbar
 {
-	background-image:url(../../../../phpgwapi/templates/default/images/fundo_topo_fozi.png);
+	background-image:url(../../../../phpgwapi/templates/default/images/fundo_topo_fozi.jpg);
 	position:absolute;
 }
@@ -459,5 +459,5 @@
 .logo_expresso
 {
-	background:url(../../../../phpgwapi/templates/default/images/logo_expresso_fozi.png) no-repeat;
+	background:url(../../../../phpgwapi/templates/default/images/logo_expresso_fozi.gif) no-repeat;
 	width: 264px;
 	height: 35px;
@@ -470,5 +470,5 @@
 .content-folders {
 	padding: 0px 0px 0px 0px !important;
-	background: #a0b2cc url(../../../../phpgwapi/templates/default/images/folder_bg_fozi.png) no-repeat scroll center bottom !important;
+	background: #a0b2cc url(../../../../phpgwapi/templates/default/images/folder_bg_fozi.jpg) no-repeat scroll center bottom !important;
 }
 
Index: /trunk/phpgwapi/templates/azul/navbar.inc.php
===================================================================
--- /trunk/phpgwapi/templates/azul/navbar.inc.php	(revision 963)
+++ /trunk/phpgwapi/templates/azul/navbar.inc.php	(revision 1057)
@@ -74,9 +74,9 @@
 					if ($GLOBALS['phpgw_info']['flags']['currentapp'] == $app)
 					{
-						$icon .= '<img id="'.$title.'_id" src="' . $app_data['icon'] . '" alt="' . $title . '" title="'. $title . '" border="0" width="35" height="35" nowrap="nowrap"/></a>';
+						$icon .= '<img id="'.str_replace('_','',$app).'id" src="' . $app_data['icon'] . '" alt="' . $title . '" title="'. $title . '" border="0" width="35" height="35" nowrap="nowrap"/></a>';
 						$current_app = True;
 					}
 					else
-						$icon .= '<img id="'.$title.'_id" src="' . $app_data['icon'] . '" alt="' . $title . '" title="'. $title . '" border="0" width="24" height="24" nowrap="nowrap"/></a>';
+						$icon .= '<img id="'.str_replace('_','',$app).'id" src="' . $app_data['icon'] . '" alt="' . $title . '" title="'. $title . '" border="0" width="24" height="24" nowrap="nowrap"/></a>';
 
 					// 020204 ndee
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 1057)
@@ -1009,9 +1009,9 @@
 		}
 		// Malicious Code Remove
-		$dirtyCodePattern = "/(<([\w]+[\w0-9]*)([^>]*)on(mouse(move|over|down|up)|load|blur|change|click|dblclick|focus|key(down|up|press)|select)(\ *)=(\ *)[\"'][^>\"']*[\"']([^>]*)>)(.*)(<\/\\2>)?/misU";
+		$dirtyCodePattern = "/(<([\w]+[\w0-9]*)(.*)on(mouse(move|over|down|up)|load|blur|change|click|dblclick|focus|key(down|up|press)|select)([\n\ ]*)=([\n\ ]*)[\"'][^>\"']*[\"']([^>]*)>)(.*)(<\/\\2>)?/misU";
 		preg_match_all($dirtyCodePattern,$body,$rest,PREG_PATTERN_ORDER);
 		foreach($rest[0] as $i => $val)
 			if (!(preg_match("/javascript:window\.open\(\"\/index\.php\?menuaction=calendar\.uicalendar\.set_action\&cal_id=([^;'\"]+);?['\"]/i",$rest[1][$i]) && strtoupper($rest[4][$i]) == "CLICK" )) //Calendar events
-				$body = str_replace($rest[1][$i],"<".$rest[2][$i].$rest[3][$i].$rest[7][$i].">",$body);
+			$body = str_replace($rest[1][$i],"<".$rest[2][$i].$rest[3][$i].$rest[7][$i].">",$body);
 
 		return  "<span>".$body;
Index: /trunk/expressoMail1_2/index.php
===================================================================
--- /trunk/expressoMail1_2/index.php	(revision 1036)
+++ /trunk/expressoMail1_2/index.php	(revision 1057)
@@ -1,26 +1,3 @@
 <?php
-
-	/* Begin: Check config needed for expressoMail */
-	/* Config need for expressoMail work */
-	$php_ini['session.auto_start'] = '1';
-	$php_ini['magic_quotes_gpc'] = '';
-	$php_ini['magic_quotes_runtime'] = '';
-	$php_ini['magic_quotes_sybase'] = '';
-	
-	/* Config from php.ini */
-	$php_ini_configs = array("session.auto_start","magic_quotes_gpc","magic_quotes_runtime","magic_quotes_sybase");
-	/* Checking */
-	$error = false;
-	foreach($php_ini_configs as $config)
-	{
-		if ( ($f_phpini=ini_get($config)) != $php_ini[$config])
-		{
-			$error = true;
-			echo "Erro: Config <font color=red>$config</font> from php.ini needs to be '" . $php_ini[$config] . "', but is set to '" . $f_phpini . "'.<br>";
-		}
-	}
-	if ($error)
-		exit;
-	/* End: Check config needed for expressoMail */
 		
 	$GLOBALS['phpgw_info']['flags'] = array(