Index: /trunk/expressoMail1_2/controller.php
===================================================================
--- /trunk/expressoMail1_2/controller.php	(revision 1037)
+++ /trunk/expressoMail1_2/controller.php	(revision 1059)
@@ -1,3 +1,12 @@
 <?php
+if(!isset($GLOBALS['phpgw_info'])){
+        $GLOBALS['phpgw_info']['flags'] = array(
+                'currentapp' => 'expressoMail1_2',
+                'nonavbar'   => true,
+                'noheader'   => true
+        );
+}
+require_once '../header.inc.php';
+
 	//	Explode action from cExecuteForm function
 	$cExecuteFormReturn = false;
Index: /trunk/expressoMail1_2/inc/class.db_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.db_functions.inc.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'nonavbar'   => true,
-		'noheader'   => true
-	);
-}
-require_once '../header.inc.php';
-
 define('PHPGW_INCLUDE_ROOT','../');	
 define('PHPGW_API_INC','../phpgwapi/inc');	
Index: /trunk/expressoMail1_2/inc/class.imap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 1057)
+++ /trunk/expressoMail1_2/inc/class.imap_functions.inc.php	(revision 1059)
@@ -1,11 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'nonavbar'   => true,
-		'noheader'   => true
-	);
-}
-require_once '../header.inc.php';
 
 include_once("class.functions.inc.php");
Index: /trunk/expressoMail1_2/inc/class.user.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.user.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.user.inc.php	(revision 1059)
@@ -1,11 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.inc.php';
 
 class user{
Index: /trunk/expressoMail1_2/inc/class.exporteml.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.exporteml.inc.php	(revision 1059)
@@ -1,11 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'nonavbar'   => true,
-		'noheader'   => true
-	);
-}
-require_once '../header.inc.php';
 /***************************************************************************************\
 * Export EML Format Message Mail														*
Index: /trunk/expressoMail1_2/inc/class.dynamic_contacts.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.dynamic_contacts.inc.php	(revision 555)
+++ /trunk/expressoMail1_2/inc/class.dynamic_contacts.inc.php	(revision 1059)
@@ -10,12 +10,4 @@
 	\**********************************************************************************/
 	
-$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'noheader'   => True, 
-		'nonavbar'   => True,
-		'enable_nextmatchs_class' => True
-	);
-
-include_once('../header.inc.php');
 include_once('class.db_functions.inc.php');
 include_once('class.functions.inc.php');
Index: /trunk/expressoMail1_2/inc/class.ScriptS.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.ScriptS.inc.php	(revision 1059)
@@ -1,13 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.inc.php';
-
-
 //Inclui o arquivo contendo a classe SieveS;
 include('class.SieveS.inc.php');
Index: /trunk/expressoMail1_2/inc/class.message_components.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.message_components.inc.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'nonavbar'   => true,
-		'noheader'   => true
-	);
-}
-require_once '../header.inc.php';
-
     class message_components {
 
Index: /trunk/expressoMail1_2/inc/class.SieveS.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.SieveS.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.SieveS.inc.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.inc.php';
-
 
 //Conecta com o Servidor e o serviço Sieve;
Index: /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.imap_attachment.inc.php	(revision 1059)
@@ -1,11 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'nonavbar'   => true,
-		'noheader'   => true
-	);
-}
-require_once '../header.inc.php';
 class imap_attachment
 {
Index: /trunk/expressoMail1_2/inc/fckeditor.php
===================================================================
--- /trunk/expressoMail1_2/inc/fckeditor.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/fckeditor.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.inc.php';
-
 /*
  * FCKeditor - The text editor for internet
Index: /trunk/expressoMail1_2/inc/load_lang.php
===================================================================
--- /trunk/expressoMail1_2/inc/load_lang.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/load_lang.php	(revision 1059)
@@ -1,11 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.inc.php';
 
 // Load the lang of the module.
Index: /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.ldap_functions.inc.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'nonavbar'   => true,
-		'noheader'   => true
-	);
-}
-require_once '../header.inc.php';
-
 include_once("class.imap_functions.inc.php");
 include_once("class.functions.inc.php");
Index: /trunk/expressoMail1_2/inc/class.functions.inc.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.functions.inc.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.functions.inc.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-	$GLOBALS['phpgw_info']['flags'] = array(
-		'currentapp' => 'expressoMail1_2',
-		'nonavbar'   => true,
-		'noheader'   => true
-	);
-}
-require_once '../header.inc.php';
-
 	class Functions{
 		
Index: /trunk/expressoMail1_2/inc/class.phpmailer.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.phpmailer.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.inc.php';
-
 ////////////////////////////////////////////////////
 // PHPMailer - PHP email class
Index: /trunk/expressoMail1_2/inc/class.smtp.php
===================================================================
--- /trunk/expressoMail1_2/inc/class.smtp.php	(revision 1040)
+++ /trunk/expressoMail1_2/inc/class.smtp.php	(revision 1059)
@@ -1,12 +1,3 @@
 <?php
-if(!isset($GLOBALS['phpgw_info'])){
-        $GLOBALS['phpgw_info']['flags'] = array(
-                'currentapp' => 'expressoMail1_2',
-                'nonavbar'   => true,
-                'noheader'   => true
-        );
-}
-require_once '../header.inc.php';
-
 ////////////////////////////////////////////////////
 // SMTP - PHP SMTP class